A quick update from our release on June 29, BuddyPress fixes a bug where marking a user as spam or attempting to delete them would result in the sky falling on your head. It also fixes a few other odds and ends from 1.2.5 which you can read at our release history.

We’ve also bumped the WordPress version requirement up to 3.0. BuddyPress has been tested to work with WordPress 2.9.2, but our mantra has always been to support the current version of WordPress and maintain backwards compatibility as much as possible.

For the best possible BuddyPress experience (and for the security of your social network and your users) be sure to upgrade to WordPress 3.0.

Happy social networking!